# 工参更新需求汇总

## 需更新数据

1. 数据库信息

    - 测试环境数据库

        测试环境数据库URL jdbc:postgresql://192.168.50.5:5432/sqmmt

        sqmdb/sqmdb_1QAZ

    - 正式环境数据库

        正式环境数据库URL jdbc:postgresql://192.168.70.109:5432/sqmmt

        sqmdb/sqmdb_1QAZ

2. 更新周期

    暂定为每周更新一次，周一凌晨1点更新，如果更新出错，必须有提醒机制，必须有人关注提醒信息，第二天早上8点前要完成恢复流程。

3. 更新内容

    主要更新四张表，分别是`cfm.cfg_0_4g_siteinfo`,`cfm.cfg_0_5g_siteinfo`,`customer_service.cfg_cell_info`,`customer_service.cfg_p_netconf_std`

    `cfm.cfg_0_4g_siteinfo`,`cfm.cfg_0_5g_siteinfo` 两张表是简单更新

    `customer_service.cfg_cell_info`,`customer_service.cfg_p_netconf_std` 两张表需要从`cfm.cfg_0_4g_siteinfo`,`cfm.cfg_0_5g_siteinfo`取出需要的数据列进行更新。

    ***当前存在一个特殊情况，需要把`cfm.cfg_0_4g_siteinfo_gx`和`cfm.cfg_0_5g_siteinfo_gx`两个表中，按照唯一id不存在的数据也更新到`customer_service.cfg_cell_info`,`customer_service.cfg_p_netconf_std`两张表中***

## 数据源信息

***由于新数据源不具备，当前开发采用黄岳的工参治理数据源进行***

- 李勇

20220811 未拿到数据表名，数据尚未开始定时更新，只有测试数据

数据库URL: jdbc:postgresql://10.17.182.35:5432/sqmmt

pmparse
abc123!

- 黄岳工参治理

数据库url: jdbc:postgresql://192.168.10.9:5432/sqmmt

账号：pmparse
密码：Richr00t#

4G工参表 o2p.cfg_0_4g_siteinfo

5G工参表 o2p.cfg_0_5g_siteinfo
